# This file was automatically generated
# DO NOT EDIT!
#
lib_LTLIBRARIES = libXXX_FFTW_PREFIX_XXXfftw.la
include_HEADERS = XXX_FFTW_PREFIX_XXXfftw.h
INCLUDES = -I$(srcdir)/../fftw -I$(srcdir)

NOTW_CODELETS= fn_1.S fn_2.S fn_3.S fn_4.S fn_5.S fn_6.S fn_7.S fn_8.S fn_9.S fn_10.S fn_11.S fn_12.S fn_13.S fn_14.S fn_15.S fn_16.S fn_32.S fn_64.S fn_128.S fn_256.S
TWID_CODELETS= ftw_2.S ftw_3.S ftw_4.S ftw_5.S ftw_6.S ftw_7.S ftw_8.S ftw_9.S ftw_10.S ftw_16.S ftw_32.S ftw_64.S ftw_128.S
NOTWI_CODELETS= fni_1.S fni_2.S fni_3.S fni_4.S fni_5.S fni_6.S fni_7.S fni_8.S fni_9.S fni_10.S fni_11.S fni_12.S fni_13.S fni_14.S fni_15.S fni_16.S fni_32.S fni_64.S fni_128.S fni_256.S
TWIDI_CODELETS= ftwi_2.S ftwi_3.S ftwi_4.S ftwi_5.S ftwi_6.S ftwi_7.S ftwi_8.S ftwi_9.S ftwi_10.S ftwi_16.S ftwi_32.S ftwi_64.S ftwi_128.S

CODELETS=$(NOTW_CODELETS) $(TWID_CODELETS) $(NOTWI_CODELETS) $(TWIDI_CODELETS)
OTHERSRC = timer.c config.c planner.c twiddle.c executor.c \
	   generic.c fftwnd.c malloc.c wisdom.c wisdomio.c putils.c rader.c \
           fftwf77.c f77_func.h

libXXX_FFTW_PREFIX_XXXfftw_la_SOURCES = $(CODELETS) $(OTHERSRC)             \
                                        fftw.h fftw-int.h 

libXXX_FFTW_PREFIX_XXXfftw_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@
MAINTAINERCLEANFILES = $(CODELETS) config.c
DISTCLEANFILES = fftw.h sfftw.h dfftw.h

XXX_FFTW_PREFIX1_XXXfftw.h: fftw.h
	rm -f XXX_FFTW_PREFIX_XXXfftw.h
	sed 's/<fftw/<XXX_FFTW_PREFIX_XXXfftw/g;s/<rfftw/<XXX_FFTW_PREFIX_XXXrfftw/g' fftw.h > XXX_FFTW_PREFIX_XXXfftw.h

CLEANFILES = XXX_FFTW_PREFIX1_XXXfftw.h

# for some reason, automake tries to use autoheader in order to
# generate config.h.in, and fails because config.h.in is GNU-lly
# incorrect.  Just disable autoheader
AUTOHEADER=echo
